function [s,X,Y]=affiche_valeur_cossind(S,ncal,choix);



% afifiche de valeurs particulires pour le trac de la clothode de l'origine  une valeur non nulle (S)
%
%
% [s,X,Y]=affiche_valeur_cossind(S,ncal,choix) : 
%  
%
% * variables d'entres : 
%    *  S : dernire valeur de l'abscisse curviligne.  
%    *  ncal : nombre de points pour l'affichage des valeurs (suprieur  un) 
%     * choix : entier : - si choix=1, utilisation du symbolique 
%                          (plus long, mais plus prcis)
%                        - sinon utilisation de la fonction d'intgration numrique de matlab quadl
%                          (plus rapide, mais moins prcis pour les grandes valeurs de S)   
% * variables de sortie :
%     * s : les valeurs o sont calcules x et y
%     * X : les valeurs de x
%     * Y : les valeurs de y
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     calcul_cossind
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

if (ncal<=1)
   error('  attention, le troisime argument est infrieur ou gal  1');
end
X=zeros(1,ncal);
Y=zeros(1,ncal);
h=S/(ncal-1);
s=(0:ncal-1)*h;
somx=0;
somy=0;
h=S/(ncal-1);
for i=2:ncal
   [somauxix,somauxiy]=calcul_cossind(choix,((i-2)*h),((i-1)*h));
   somx=somauxix+somx;
   somy=somauxiy+somy;
   X(i)=somx;
   Y(i)=somy;
end
