function [c,s]=calcul_cossind(choix,a,b);


% calcul des intgrales cos(w^2) et de sin(w^2) sur [a,b]
%
%
% [c,s]=calcul_cossind(choix,S) : 
%  
%
% * variables d'entres : 
%     * choix : entier : - si choix=1, utilisation du symbolique 
%                          (plus long, mais plus prcis)
%                        - sinon utilisation de la fonction d'intgration numrique de matlab quadl
%                          (plus rapide, mais moins prcis pour les grandes valeurs de S)   
%     * a,b : deux rels 
% * variables de sortie :
%     * c et s: valeurs de int(cos(w^2)dw,a,b) et de int(sin(w^2)dw,a,b)
%
%
% ************ Fonctions auxiliaires utilises ************
%
%     aucune
%
% *********************************************************
%
% (c) 2005 by      Jrme BASTIEN,
%                  UTBM, Dpartement GMC, Belfort
%                  E-Mail : jerome.bastien@utbm.fr

if choix
   syms x;
   c=double(int(cos(x^2),a,b)); 
   s=double(int(sin(x^2),a,b)); 
else
   c=quadl('cos(x.^2)',a,b,1e-16); 
   s=quadl('sin(x.^2)',a,b,1e-16);  
end